DFB_DisplayData Struct Reference

`#include <SDL_DirectFB_modes.h>`

## Data Fields

IDirectFBDisplayLayer * | layer
DFBSurfacePixelFormat | pixelformat
DFBDisplayLayerID | vidID
IDirectFBDisplayLayer * | vidlayer
int | vidIDinuse
int | cw
int | ch

## Detailed Description

Definition at line 32 of file SDL_DirectFB_modes.h.

## Field Documentation

int DFB_DisplayData::ch

Definition at line 46 of file SDL_DirectFB_modes.h.

int DFB_DisplayData::cw

Definition at line 45 of file SDL_DirectFB_modes.h.

IDirectFBDisplayLayer* DFB_DisplayData::layer

Definition at line 34 of file SDL_DirectFB_modes.h.

DFBSurfacePixelFormat DFB_DisplayData::pixelformat

Definition at line 35 of file SDL_DirectFB_modes.h.

DFBDisplayLayerID DFB_DisplayData::vidID

Definition at line 40 of file SDL_DirectFB_modes.h.

int DFB_DisplayData::vidIDinuse

Definition at line 43 of file SDL_DirectFB_modes.h.

IDirectFBDisplayLayer* DFB_DisplayData::vidlayer

Definition at line 41 of file SDL_DirectFB_modes.h.

The documentation for this struct was generated from the following file:

- src/video/directfb/SDL_DirectFB_modes.h